Installering af "sarge"

Debian GNU/Linux 3.1 er blevet erstattet af Debian GNU/Linux 4.0 (etch). Nogle af disse installeringsaftryk er måske ikke længere tilgængelige, eller virker måske ikke mere, og det anbefales derfor at man installerer etch i stedet.

For at installere Debian GNU/Linux 3.1r8 (sarge), hent et hvilket som helst af følgende aftryk:

cd-aftryk med netinst (generelt 100 MB)

cd-aftryk i visitkort-størrelse (generelt 50 mb)

andre aftryk (netboot, usbnøgle, diskette, bånd, osv.)

Dokumentation

Hvis du kun læser et dokument, før du installerer, så læs vores Installationsvejledning, en hurtig gennemgang af installationsprocessen. Af anden nyttig dokumentation kan nævnes:

Fejl

Her er en liste over kendte problemer i installeringsprogrammet, som udsendes med Debian GNU/Linux 3.1r8. Hvis du oplever et problem med at installere Debian og ikke kan finde det på listen herunder, så send os venligt en installationsrapport som beskriver problemet eller kig på wiki'en for andre kendte problemer.

Fejl i udgave 3.1r8

Ingen kendte fejl fra udgave 3.1r7.

Fejl i udgave 3.1r7

Problemet anført under 3.1r6 vedrørende understøttelse af installering af oldstable fra netværksfilspejle er blevet løst. Alle 3.1r7-installerings-cd'er og andre installeringsaftryk understøtter fuldt ud sarge igen.

Installering af task'en Desktop environment kan mislykkes ved installering fra en komplet cd. Dette skyldes at OpenOffice ikke ligger på den første cd, og fordi der er sikkerhedsopdateringer til nogle openoffice.org-pakker på sikkerhedsfilspejlene.
Problemet kan undgås ved også at vælge manual package selection når man vælger desktop-task'en. Derefter vil aptitude vise de pakker, der skal installeres. Find pakken openoffice.org-bin og fravælg den ved at trykke på tasten -, og fortsæt installeringen ved at trykke på tasten g.
Problemet kan også undgås ved at tilføje et netværksfilspejl eller ved også at scanne den anden komplette cd under Apt-opsætningen.

Fejl i udgave 3.1r6

Problemet med valg af kerne i 3.1r5 blev løst i denne udgave.

Da sarge ikke længere er stable, men nu oldstable, henter installeringsprogrammet ikke længere pakker fra netværksfilspejlene på korrekt vis. Det påvirker især installeringer som anvender et netværksfilspejl før den første genstart, så som netboot- og visitkort-aftrykkene. Du kan stadig installere sarge ved hjælp af netinst og komplette cd- eller dvd-aftryk, såfremt du manuelt redigerer filen /etc/apt/sources.list, så alle kildelinjer til netværksfilspejle peger på sarge og ikkestable, før der installeres pakker fra et netværksfilspejl. Kort og godt betyder dette, at du ikke kan anvende et netværksfilspejl under installeringen!

Fejl i udgave 3.1r5

På fire arkitekturer kan installeringsprogrammet vælge en forkert kerne til dit system. De påvirkede arkitekturer er: i386, hppa, ia64 og s390.
Du kan omgå problemet ved at genstarte installeringsprogrammet med parameteret debconf/priority=medium. Dette viser den komplette liste over tilgængelige kerner, blandt hvilket du kan vælge den variant, der passer til dit system.

Fejl i udgave 3.1r4

Punktudgave 3.1r4 indeholder ikke en opdatering af installeringsprogrammet, bortset fra at et problem der viste sig i 3.1r3 til sparc32 blev rettet i den nye udgave. De generelle kommentarer herunder vedrørende 3.1r3 gælder stadig.

Fejl i udgave 3.1r3

Ud over den oprindelige liste over fejl i sarge 3.1r0 nedenfor, er der følgende problemer at være opmærksom på hvad angår opdateringen af installeringsprogrammet i forbindelse med udgave 3.1r3 (r1 og r2 indeholdt ikke en opdatering af installeringsprogrammet).

Med opdateringen af kernen i denne udgave, fungerer nogle af aftrykkene udgivet sammen med sarge 3.1r0 ikke længere på grund af uoverensstemmelser mellem den kerne der anvendes til at starte fra og de kerne-udeb'er der senere indlæses. Alle installeringsmetoder der henter udeb'er fra netværket er påvirket, fx diskettebaserede og netboot-installeringer. De opdaterede installeringsprogramaftryk skulle fungere korrekt.
Cd-baserede installeringer er ikke påvirket, så du kan fortsat anvende cd-/dvd-aftryk fra tidligere udgivelser af sarge.

Fejl i udgave 3.1r0

Forbedrede versioner af installeringssystemet er under udvikling til den næste udgave af Debian, og de kan også anvendes til at installere "sarge". For flere oplysninger, se Debian-Installers projektside.

Installeringsprogram til blinde - "speakup"

Til i386-arkitekturen har Debian et særligt sæt installeringsaftryk til disketter, som understøtter braille-skærme. En komplet liste over understøttede modeller findes i dokumentationen til brltty.